Mtext rigth&left giustified

Discussion in 'AutoCAD' started by Marc'Antonio Alessi, Feb 2, 2004.

  1. 2004 - VL-VBA

    Is there a way to format an Mtext rigth&left justified?

    (i.e. as in Word)


    --
     
    Marc'Antonio Alessi, Feb 2, 2004
    #1
  2. Marc'Antonio Alessi

    James Buzbee Guest

    Seems to be the "AttachmentPoint" property.

    if mtobj is a variable pointing to an IAcadMText object:
    (vlax-put mtobj "AttachmentPoint" 1)

    1 is acAttachmentPointTopLeft
    2 is acAttachmentPointTopCenter
    3 is acAttachmentPointTopRight
    4 is acAttachmentPointMiddleLeft
    5 is acAttachmentPointMiddleCenter
    6 is acAttachmentPointMiddleRight
    7 is acAttachmentPointBottomLeft
    8 is acAttachmentPointBottomCenter
    9 is acAttachmentPointBottomRight

    jb
     
    James Buzbee, Feb 2, 2004
    #2
  3. James, thanks for answer but

    I need to format a Mtext rigth AND left justified
    like "justified" in Ms Word:

    ABCDEF ABCDEFGHILMNOPQRSTUVZ
    ABEF ABCD EFGH ILMN QRSTUVZ
    AB ABCD EF GH IL MNOPST UVZ
    ABCDEF ABCDEFG MNOPQRSTUVZ
    ABCDEF BCI LMNR STUVZ


    (Sorry for giustified > justified!)

    Ciao.

    Marco
     
    Marc'Antonio Alessi, Feb 3, 2004
    #3
  4. Marc'Antonio Alessi

    ECCAD Guest

    Marco,
    It looks like the MTEXT entity has only (1) justification bit. / attachmentpoint as James stated. You might consider generating a routine to replace the Mtext (line at a time), with Fitted Text ?

    Bob
     
    ECCAD, Feb 3, 2004
    #4
  5. MTEXT currently does not have a setting like "Justified" in MS Word.
     
    Phil Kenewell, Feb 3, 2004
    #5
  6. Thanks Terry, great tools.

    Thanks to all.

    --


     
    Marc'Antonio Alessi, Feb 4, 2004
    #6
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.